MC-ENCODE(1p)

NAME
mc-encode - use the Media::Convert library to transcode a file from one format to another

SYNOPSIS
mc-encode --input input.mkv --output output.webm --profile webm --multipass

OPTIONS

  --input=FILE
Use "FILE" as the input file to read video data from. Passed unmodified to ffmpeg(1)'s "-i" parameter. No default; required.

  --output=FILE
Use "FILE" as the output file to write the transcoded video to. Passed unmodified to ffmpeg(1) as the output file name. Default: the base name (with whatever comes after the final dot, if anything, removed) of the input file, supplemented with the default extension for the used profile.

  --acopy
Enable the "acopy" option to the Media::Convert::Pipe being used, which tells ffmpeg that it should not transcode the audio but just copy it from one container to another, unmodified.

  --vcopy
Enable the "vcopy" option to the Media::Convert::Pipe being used, which has the same effect to video that "--acopy" has to audio.

  --multipass
Enable a 2-pass transcode.

  --profile
Select the profile to be used.